LibreOffice LibreOffice 4.4 SDK C/C++ API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Enumerations
Reference.h File Reference
`#include <sal/config.h>`
`#include <cassert>`
`#include <rtl/alloc.h>`

Go to the source code of this file.

## Classes
class | com::sun::star::uno::BaseReference
| This base class serves as a base class for all template reference classes and has been introduced due to compiler problems with templated operators ==, =!. More...
class | com::sun::star::uno::Reference< interface_type >
| Template reference class for interface type derived from BaseReference. More...

## Namespaces
| com
| com::sun
| com::sun::star
| com::sun::star::uno

## Enumerations
enum | com::sun::star::uno::UnoReference_NoAcquire { com::sun::star::uno::UNO_REF_NO_ACQUIRE }
| Enum defining UNO_REF_NO_ACQUIRE for setting reference without acquiring a given interface. More...
enum | com::sun::star::uno::UnoReference_Query { com::sun::star::uno::UNO_QUERY }
| Enum defining UNO_QUERY for implicit interface query. More...
enum | com::sun::star::uno::UnoReference_QueryThrow { com::sun::star::uno::UNO_QUERY_THROW }
| Enum defining UNO_QUERY_THROW for implicit interface query. More...
enum | com::sun::star::uno::UnoReference_SetThrow { com::sun::star::uno::UNO_SET_THROW }
| Enum defining UNO_SET_THROW for throwing if attempts are made to assign a null interface. More...